All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components.tilechart
Class TileChartOLAPDataModel

    com.sas.graphics.components.tilechart.TileChartOLAPDataModel

    public class TileChartOLAPDataModel

A TileChartOLAPDataModel assigns an OLAPDataSetInterface to a TileChart. The com.sas.storage.olap.OLAPDataSetInterface encapsulates the OLAP data structure, and the TileChartOLAPDataModel conveys that structure to a graph by automatically mapping the OLAP axis dimensions to appropriate graph elements. The following limitations apply to the mapping:

- OLAP expands are not displayed
- A maximum of one OLAP axis can be displayed.
- A maximum of two OLAP measures can be displayed. The first will be interpreted as the COLOR role, and the second as the SIZE.

If the OLAP axis that supplies the category variable has more than one dimension, the TileChart will use the hierarchy as the ID role.

Topics:
  Basic Requirements
  Default Logic Used to Map OLAP Data
  Selecting Measures in OLAP Data
Samples:
  Swing-based Sample
  Servlet-based Sample

Since:
  SAS 9.1.2
See Also:
  `TileChart`

Constructor Summary
`TileChartOLAPDataModel()` Constructs a `TileChartOLAPDataModel` that is used to assign OLAP data in the form of a `com.sas.storage.olap.OLAPDataSetInterface` to a `TileChart`.
`TileChartOLAPDataModel(OLAPDataSetInterface newModel)` Constructs a `TileChartOLAPDataModel` that is used to assign OLAP data in the form of a `com.sas.storage.olap.OLAPDataSetInterface` to a `TileChart`.

Method Summary
`void` | `apply(TileChartOLAPDataModel theOtherModel)` Utility method to convey properties contained in "theOtherModel" to this object.
`boolean` | `equals(java.lang.Object obj)` Determines whether another object is equal to this `TileChartOLAPDataModel`.
`Variable[]` | `getAuxiliaryVariable()` Returns the array of data columns that was most recently set by the setAuxiliaryVariable() method.
`Variable` | `getColorVariable()` Returns the data measure that was most recently set in the Color role by the setColorVariable() method.
`Variable[]` | `getDataTipVariable()` Returns the array of data columns that was most recently set by the setDataTipVariable() method.
`OLAPDataSetInterface` | `getModel()` Get the OLAP data source.
`javax.swing.ListSelectionModel` | `getSelectionModel()` Returns the ListSelectionModel that indicates which data values are selected.
`Variable` | `getSizeVariable()` Returns the data measure that was most recently set in the Size role by the setSizeVariable() method.
`int` | `hashCode()` Computes the hash code for this `TileChartOLAPDataModel`.
`void` | `setAuxiliaryVariable(Variable[] newVariables)` Specifies an array of Variables that are included among the variables that are passed in the events on the TileChart data elements.
`void` | `setColorVariable(Variable newVariable)` Specifies the data column in the attached TableModel whose values are to be used to determine the relative colors of the rectangles.
`void` | `setDataTipVariable(Variable[] newVariables)` Specifies an array of Variables to be displayed in the data tip.
`void` | `setModel(OLAPDataSetInterface newModel)` Set the OLAP data source.
`void` | `setSelectionModel(javax.swing.ListSelectionModel newModel)` Sets the selection model that identifies which cells are selected.
`void` | `setSizeVariable(Variable newVariable)` Specifies the measure in the attached OLAP model whose values are to be used to determine the relative sizes of the rectangles.

Methods inherited from class com.sas.graphics.components.DataModel
`apply, getLocale, getRulesContext, getSortStrategy, setLocale, setRulesContext, setSortStrategy`

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### TileChartOLAPDataModel

    public TileChartOLAPDataModel()

  Constructs a `TileChartOLAPDataModel` that is used to assign OLAP data in the form of a `com.sas.storage.olap.OLAPDataSetInterface` to a `TileChart`.

### TileChartOLAPDataModel

    public TileChartOLAPDataModel(OLAPDataSetInterface newModel)

  Constructs a `TileChartOLAPDataModel` that is used to assign OLAP data in the form of a `com.sas.storage.olap.OLAPDataSetInterface` to a `TileChart`.

  Parameters:
    `newModel` - the OLAP data

Method Detail

### apply

    public void apply(TileChartOLAPDataModel theOtherModel)

  Utility method to convey properties contained in "theOtherModel" to this object.

  Note: Contained "models" (i.e. properties that are subclasses of ModelBase) will in turn be called on to convey their properties to the like contained models in the other object. In that respect this can be considered a "tree" type copy.

  Also Note: This is a deep copy. Thus after the copy, mutable properties will not be shared by the two instances.

  Parameters:
    `theOtherModel` - properties applied to this instance
  Throws:
    `java.lang.IllegalArgumentException` - if theOtherModel is null.

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether another object is equal to this `TileChartOLAPDataModel`.

  The result is `true` if and only if the argument is not `null` and is a `TileChartOLAPDataModel` object that has the same property values as this object.

  Overrides:
    `equals` in class `DataModel`
  Parameters:
    `obj` - the object to test for equality with this `TileChartOLAPDataModel`
  Returns:
    `true` if the objects are the same; `false` otherwise.

### hashCode

    public int hashCode()

  Computes the hash code for this `TileChartOLAPDataModel`.

  Overrides:
    `hashCode` in class `DataModel`
  Returns:
    a hash code value for this object.

### setModel

    public void setModel(OLAPDataSetInterface newModel)

  Set the OLAP data source.

  Parameters:
    `newModel` - the properties of the data source or null
  See Also:
    `getModel()`

### getModel

    public OLAPDataSetInterface getModel()

  Get the OLAP data source.

  Returns:
    the properties of the data source or null
  See Also:
    `setModel(com.sas.storage.olap.OLAPDataSetInterface)`

### setSelectionModel

    public void setSelectionModel(javax.swing.ListSelectionModel newModel)

  Sets the selection model that identifies which cells are selected. The graph will highlight the selected elements as well as enable selection on the graph elements via mouse clicks and brushing. To create a brush, click and drag in the element area. To move the brush (represented as a rectangle) click inside the brush area and drag.

  Parameters:
    `newModel` - the selection model identifying selected cells
  Throws:
    `java.lang.IllegalArgumentException` - if `newModel` is `null`.
  See Also:
    `getSelectionModel()`

### getSelectionModel

    public javax.swing.ListSelectionModel getSelectionModel()

  Returns the ListSelectionModel that indicates which data values are selected.

  Returns:
    the ListSelectionModel containing the indicies of the selected data values.
  See Also:
    `setSelectionModel(javax.swing.ListSelectionModel)`

### setSizeVariable

    public void setSizeVariable(Variable newVariable)

  Specifies the measure in the attached OLAP model whose values are to be used to determine the relative sizes of the rectangles.
  Zero and negative size values are ignored (after summarizing) because these sizes cannot be displayed proportionally with positive values.
  If neither the `sizeVariable` nor the `colorVariable` have been specified then the tile chart will choose peek at the OLAP model and automatically select measures for these properties.

  Note: if `sizeVariable` was not specified but `colorVariable` is then the `colorVariable` will be applied as the `sizeVariable` as well.

  Also Note: the `Variable`'s `informat` property is ignored.

  Parameters:
    `newVariable` - the variable identifying the OLAP measure with associated properties
  See Also:
    `getSizeVariable()`, `setColorVariable(com.sas.graphics.components.Variable)`

### getSizeVariable

    public Variable getSizeVariable()

  Returns the data measure that was most recently set in the Size role by the setSizeVariable() method. Returns a null pointer exception if the variable role was automatically assigned by the component.

  Returns:
    analysis variable for size
  See Also:
    `setSizeVariable(com.sas.graphics.components.Variable)`

### setColorVariable

    public void setColorVariable(Variable newVariable)

  Specifies the data column in the attached TableModel whose values are to be used to determine the relative colors of the rectangles.
  If neither the `sizeVariable` nor the `colorVariable` have been specified then the tile chart will choose peek at the OLAP model and automatically select measures for these properties.

  Note: if `colorVariable` was not specified but `sizeVariable` is then the `sizeVariable` will be applied as the `colorVariable` as well.

  Also Note: the `Variable`'s `informat` property is ignored.

  See Also:
    `setSizeVariable(com.sas.graphics.components.Variable)`, `getColorVariable()`

### getColorVariable

    public Variable getColorVariable()

  Returns the data measure that was most recently set in the Color role by the setColorVariable() method. Returns a null pointer exception if the variable role was automatically assigned by the component.

  Returns:
    analysis variable for color
  See Also:
    `setColorVariable(com.sas.graphics.components.Variable)`

### setAuxiliaryVariable

    public void setAuxiliaryVariable(Variable[] newVariables)

  Specifies an array of Variables that are included among the variables that are passed in the events on the TileChart data elements. Auxiliary variables are not represented in the chart. By default, they are not displayed in the datatip, although they can be included in the array of variables set by setDataTipVariable().

  Parameters:
    `newVariables` - contains Variables for GraphActionEvent return.
  Throws:
    `java.lang.IllegalArgumentException` - if a non-null array of zero length is passed in.
  See Also:
    `getAuxiliaryVariable()`, `setDataTipVariable(com.sas.graphics.components.Variable[])`

### getAuxiliaryVariable

    public Variable[] getAuxiliaryVariable()

  Returns the array of data columns that was most recently set by the setAuxiliaryVariable() method. Returns null if the auxiliary variables were not set.

  Returns:
    variables for Auxiliary values
  See Also:
    `setAuxiliaryVariable(com.sas.graphics.components.Variable[])`, `setDataTipVariable(com.sas.graphics.components.Variable[])`

### setDataTipVariable

    public void setDataTipVariable(Variable[] newVariables)

  Specifies an array of Variables to be displayed in the data tip. By default, the variables specified on setDataTipVariable() are appended to the end of the default data tip display. To replace the default display with the list of variables in the Variable[] array, use the GraphModel to get the DataTipModel , and the call the DataTipModel's setContent() method with the value GraphConstants.DATA_TIP_REPLACE.

  The following code fragment specifies two variables for the data tip display and uses them to replace the default data tip display:

       // Create an array of variables to set in the data tip display
       Variable dataTipVars[]=new Variable[2];
       dataTipVars[0]=new Variable("Task");
       dataTipVars[1]=new Variable("Duration");
       tileChart.getGraphModel().getDataTipModel().setContent(
                      GraphConstants.DATA_TIP_REPLACE);

  Parameters:
    `newVariables` - array of Variables to display in data tip
  Throws:
    `java.lang.IllegalArgumentException` - if a non-null array of zero length is passed in.
  See Also:
    `getDataTipVariable()`, `setAuxiliaryVariable(com.sas.graphics.components.Variable[])`

### getDataTipVariable

    public Variable[] getDataTipVariable()

  Returns the array of data columns that was most recently set by the setDataTipVariable() method. Returns null if the data tip variables were not set.

  Returns:
    variables for data tip values
  See Also:
    `setDataTipVariable(com.sas.graphics.components.Variable[])`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.